Sign in with Microsoft
Sign in or create an account.
Hello,
Select a different account.
You have multiple accounts
Choose the account you want to sign in with.

Symptoms

If you use the ESB.Portal sample application that's shipped as part of the Microsoft BizTalk ESB Toolkit, you might be vulnerable to a cross-site scripting (XSS) attack. For more information, see the following Common Vulnerabilities and Exposures (CVE) advisory:

Status

Microsoft has confirmed that this is a problem in the Microsoft products that are listed in the "Applies to" section. 

Resolution

To fix this problem, download and install the update for Microsoft BizTalk ESB Toolkit.

Note: This installation will update the ESBSource.zip file that's present in the ESB Toolkit installation folder. You will have to manually apply the fix to your running ESB.Portal application.

References

For information about the service packs and cumulative update list for BizTalk Server, see the following Microsoft Knowledge Base article:

  • 2555976 Service pack and cumulative update list for BizTalk Server

For more information about BizTalk Server hotfixes, see the following Microsoft Learn article:

Need more help?

Expand your skills
Explore Training
Get new features first
Join Microsoft Insiders

Was this information helpful?

What affected your experience?

Thank you for your feedback!

×